﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace MultiGeoTiffRasterLayer
{
    public partial class Deafault : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.CurrentExtent = new RectangleShape(-180.0, 83.0, 180.0, -90.0);
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                Map1.MapBackground = new BackgroundLayer(new GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean));

                MultiGeoRasterLayer.BuildReferenceFile(Server.MapPath("~/App_Data/referenceFile.txt"), Server.MapPath("~/App_Data"));
                MultiGeoRasterLayer multiGeoRasterLayer = new MultiGeoRasterLayer(Server.MapPath("~/App_Data/referenceFile.txt"));

                InMemoryFeatureLayer vectorLayer = new InMemoryFeatureLayer();
                vectorLayer.InternalFeatures.Add(new Feature("POLYGON((-123.60717773438 49.4384765625, -80.013427734375 52.9541015625, -67.357177734375 38.1884765625, -86.341552734375 26.9384765625, -111.65405273438 30.4541015625, -123.60717773438 49.4384765625))"));
                vectorLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(150, GeoColor.StandardColors.LightGreen), GeoColor.SimpleColors.LightBlue, 2);
                vectorLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                ShapeFileFeatureLayer usStatesLayer = new ShapeFileFeatureLayer(Server.MapPath("~/App_Data/states.shp"));
                usStatesLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.StandardColors.Transparent, GeoColor.StandardColors.Red, 2);
                usStatesLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                LayerOverlay vectorOverlay = new LayerOverlay();
                vectorOverlay.Layers.Add(multiGeoRasterLayer);
                vectorOverlay.Layers.Add(vectorLayer);
                vectorOverlay.Layers.Add(usStatesLayer);

                Map1.CustomOverlays.Add(vectorOverlay);
            }
        }
    }
}